package com.jh.boot.i18n;



/**
 * The Interface I18nContext.
 */
public interface I18nContext {

	/**
	 * Gets the date format.
	 *
	 * @return the date format
	 */
	public String getDateFormat();
	
	/**
	 * Gets the currency format.
	 *
	 * @return the currency format
	 */
	public String getCurrencyFormat();
	
	/**
	 * Gets the thousand delimiter.
	 *
	 * @return the thousand delimiter
	 */
	public String getThousandDelimiter();
	
	/**
	 * Gets the decimal delimiter.
	 *
	 * @return the decimal delimiter
	 */
	public String getDecimalDelimiter();
	
	/**
	 * Gets the currency.
	 *
	 * @return the currency
	 */
	public String getCurrency();
	
	/**
	 * Gets the currency symbol.
	 *
	 * @return the currency symbol
	 */
	public String getCurrencySymbol();
}
